%define module beautifulsoup4

Name: python-%module
Version: 4.3.1
Release: %mkrel 3
Summary: The Screen-Scraper's Frien 

Group: Development/Python
License: Python
URL:      http://www.crummy.com/software/BeautifulSoup/bs4/
Source0: http://www.crummy.com/software/BeautifulSoup/bs4/download/4.3/%{module}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildArch: noarch

%description
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic 
idioms for iterating, searching, and modifying the parse tree.

%package -n     python3-%{module}
Summary:        HTML/XML parser for quick-turnaround applications like screen-scraping
Group:          Development/Python

%description -n python3-%{module}
Beautiful Soup sits atop an HTML or XML parser, providing Pythonic 
idioms for iterating, searching, and modifying the parse tree.
This is the Python 3 build of Beautiful Soup.

%files
%{python_sitelib}/beautifulsoup4-%{version}*.egg-info
%{python_sitelib}/bs4

%files -n python3-%{module}
%{python3_sitelib}/beautifulsoup4-%{version}*.egg-info
%{python3_sitelib}/bs4

#--------------------------------------------------------------------

%prep
%setup -q -n %module-%version
cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
2to3 --write --nobackups .
%{__python3} setup.py build
popd

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
popd



%changelog
* Tue Oct 22 2013 umeabot <umeabot> 4.3.1-3.mga4
+ Revision: 543024
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 4.3.1-2.mga4
+ Revision: 498182
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 4.3.1-1.mga4
+ Revision: 497468
- update to 4.3.1, add Python 3

* Mon Jan 28 2013 neoclust <neoclust> 4.1.3-1.mga3
+ Revision: 392858
- imported package python-beautifulsoup4

